<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::redirect('/', '/dashboard/dashboard', 301);
// Dashboards
Route::get('dashboard/dashboard', 'DashboardController@dashboardv1');
Route::get('dashboard/dashboardv2', 'DashboardController@dashboardv2');
Route::get('dashboard/dashboardv3', 'DashboardController@dashboardv3');

// Dashboards with Horizontal header
Route::get('horizontal/dashboardh', 'DashboardController@dashboardh');

Route::get('widgets', 'WidgetsController@index');
// Elements
Route::get('elements/button','ElementsController@button');
Route::get('elements/notification','ElementsController@notification');
Route::get('elements/spinners','ElementsController@spinners');
Route::get('elements/dropdown-animations','ElementsController@dropdown_animations');
Route::get('elements/nestable','ElementsController@nestable');
Route::get('elements/sortable','ElementsController@sortable');
Route::get('elements/cards','ElementsController@cards');
Route::get('elements/portlets','ElementsController@portlets');
Route::get('elements/grid','ElementsController@grid');
Route::get('elements/grid-masonry','ElementsController@grid_masonry');
Route::get('elements/typography','ElementsController@typography');
Route::get('elements/icons-font','ElementsController@fonticons');
Route::get('elements/icons-weather','ElementsController@weathericons');
Route::get('elements/colors','ElementsController@colors');
Route::get('elements/buttons','ElementsController@buttons');
Route::get('elements/notifications','ElementsController@notifications');
Route::get('elements/carousel','ElementsController@carousel');
Route::get('elements/tour','ElementsController@tour');
Route::get('elements/sweetalert','ElementsController@sweetalert');
// Forms
Route::get('forms/standard','FormsController@standard');
Route::get('forms/extended','FormsController@extended');
Route::get('forms/validation','FormsController@validation');
Route::get('forms/wizard','FormsController@wizard');
Route::get('forms/upload','FormsController@upload');
Route::get('forms/xeditable','FormsController@xeditable');
Route::get('forms/imagecrop','FormsController@imagecrop');
// Charts
Route::get('charts/flot','ChartsController@flot');
Route::get('charts/radial','ChartsController@radial');
Route::get('charts/chartjs','ChartsController@chartjs');
Route::get('charts/chartist','ChartsController@chartist');
Route::get('charts/morris','ChartsController@morris');
Route::get('charts/rickshaw','ChartsController@rickshaw');
// Tables
Route::get('tables/standard','TablesController@standard');
Route::get('tables/extended','TablesController@extended');
Route::get('tables/datatable','TablesController@datatable');
Route::get('tables/bootgrid','TablesController@bootgrid');
// Maps
Route::get('maps/google','MapsController@google');
Route::get('maps/vector','MapsController@vector');
// Extras
Route::get('extras/mailbox','ExtrasController@mailbox');
Route::get('extras/timeline','ExtrasController@timeline');
Route::get('extras/calendar','ExtrasController@calendar');
Route::get('extras/invoice','ExtrasController@invoice');
Route::get('extras/search','ExtrasController@search');
Route::get('extras/todo','ExtrasController@todo');
Route::get('extras/profile','ExtrasController@profile');
Route::get('extras/contacts','ExtrasController@contacts');
Route::get('extras/contact-details','ExtrasController@contact_details');
Route::get('extras/projects','ExtrasController@projects');
Route::get('extras/project-details','ExtrasController@project_details');
Route::get('extras/team-viewer','ExtrasController@team_viewer');
Route::get('extras/social-board','ExtrasController@social_board');
Route::get('extras/vote-links','ExtrasController@vote_links');
Route::get('extras/bug-tracker','ExtrasController@bug_tracker');
Route::get('extras/faq','ExtrasController@faq');
Route::get('extras/help-center','ExtrasController@help_center');
Route::get('extras/followers','ExtrasController@followers');
Route::get('extras/settings','ExtrasController@settings');
Route::get('extras/plans','ExtrasController@plans');
Route::get('extras/file-manager','ExtrasController@file_manager');
// Blog
Route::get('extras/blog/list','BlogController@index');
Route::get('extras/blog/post','BlogController@post');
Route::get('extras/blog/articles','BlogController@articles');
Route::get('extras/blog/article-view','BlogController@article_view');
// Ecommerce
Route::get('extras/ecommerce/orders','EcommerceController@orders');
Route::get('extras/ecommerce/order-view','EcommerceController@order_view');
Route::get('extras/ecommerce/products','EcommerceController@products');
Route::get('extras/ecommerce/product-view','EcommerceController@product_view');
Route::get('extras/ecommerce/checkout','EcommerceController@checkout');
// Forum
Route::get('extras/forum/categories','ForumController@categories');
Route::get('extras/forum/topics','ForumController@topics');
Route::get('extras/forum/discussion','ForumController@discussion');
// User Pages
Route::get('login','PagesController@login');
Route::get('register','PagesController@register');
Route::get('recover','PagesController@recover');
Route::get('lock','PagesController@lock');
Route::get('notfound','PagesController@notfound');
Route::get('maintenance','PagesController@maintenance');
Route::get('error500','PagesController@error500');

// API route
// for i18next translation keys
Route::get('/translations', 'I18NextTranslations@index');